%global forgeurl https://github.com/Wohlstand/libADLMIDI

Version:        1.5.1

%global tag v%{version}

%forgemeta

Name:           libADLMIDI
Release:        1%{?dist}
License:        LGPL-2.0-or-later AND GPL-2.0-or-later AND GPL-3.0-or-later AND MIT
Summary:        A free Software MIDI synthesizer library with OPL3 emulation.
URL:	        %{forgeurl}
Source:         %{forgesource}
BuildRequires:	cmake
BuildRequires:	gcc-c++

%description
libADLMIDI is a free Software MIDI synthesizer library with OPL3 emulation.

%package devel
Summary: libADLMIDI - development environment
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the libADLMIDI headers and development environment.

%prep
%forgesetup

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DlibADLMIDI_SHARED=ON
%cmake_build

%install
%cmake_install

rm %{buildroot}%{_libdir}/libADLMIDI.a

%ldconfig_scriptlets

%files
%license LICENSE
%license %{_docdir}/libADLMIDI/LICENSE.GPL-3.txt
%license %{_docdir}/libADLMIDI/LICENSE.LGPL-2.1.txt
%doc AUTHORS README.md
%{_libdir}/libADLMIDI.so.1.5.1
%{_libdir}/libADLMIDI.so.1


%files devel
%{_includedir}/adlmidi.h
%{_libdir}/pkgconfig/libADLMIDI.pc
%{_libdir}/libADLMIDI.so

%changelog
* Fri Sep 15 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.1-1
- Update to 1.5.1
- Use SPDX license identifiers

* Fri Dec 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.0.1-1
- Initial specfile
